.product {
    margin-bottom: rem(20);

    &__info {
        padding: rem(17) rem(20);
        overflow: hidden;
        background: $white;
        border-radius: rem(10);
        margin-bottom: rem(10);
    }

    &__price {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        line-height: 140%;
        margin-bottom: rem(10);

        &--current {
            color: $dark;
            font-weight: 700;
            font-size: rem(18);
        }

        &--old {
            color: $gray;
            font-size: rem(14);
            margin-right: rem(1);
            text-decoration: line-through;
        }
    }

    &__shop {
        color: #55576B;
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        font-size: rem(14);
        line-height: 140%;
        margin-bottom: rem(16);

        &--text {
            font-size: rem(12);
        }

        &--link {
            color: $blue;
            margin-left: rem(10);
            text-decoration: none;
            display: inline-block;
            background-image: linear-gradient(to right, $blue 10%, rgba(255, 255, 255, 0) 0%);
            background-position: bottom;
            background-size: 6px 1px;
            background-repeat: repeat-x;
        }
    }

    &__chart {
        padding-top: rem(8);

        overflow: hidden;
        background: $white;
        border-radius: rem(10);
        margin-bottom: rem(10);

        &--data {
            mix-blend-mode: multiply;
        }
    }

    &__sidebar {
    }

    &__offers {
        display: none;
    }

    @include media-breakpoint-up(md) {

        &__top {
            margin-bottom: rem(16);
        }

        &__sidebar {
            display: flex;
            margin-top: rem(-10);
        }

        &__info {
            width: 50%;
            flex-shrink: 0;
            padding: rem(30);
            margin-bottom: rem(15);
            border-right: 1px solid $gray-lilac;
            border-radius: rem(10) 0 0 rem(10);
        }

        &__chart {
            width: 50%;
            flex-shrink: 0;
            margin-bottom: rem(15);
         //   padding-bottom: rem(10);
            display: flex;
            flex-direction: column-reverse;
            border-radius: 0 rem(10) rem(10) 0;

            &--data {

            }
        }

        &__price {
            font-size: rem(27);
            margin-bottom: rem(14);

            &--current {
                font-size: rem(27);
            }

            &--old {
                font-size: rem(16);
                margin-left: rem(18);
            }
        }
    }

    @include media-breakpoint-up(xl) {
        display: grid;
        grid-template-columns:rem(750) rem(360);
        grid-column-gap: rem(30);
        grid-template-areas:
            'top top'
            'media sidebar'
            'content sidebar';

        &__top {
            margin-bottom: rem(30);
            grid-area: top;
        }

        &__media {
            grid-area: media;
        }

        &__sidebar {
            margin-top: 0;
            grid-area: sidebar;
            display: block;
        }

        &__content {
            grid-area: content;
        }

        &__info {
            border: none;
            width: 100%;
            padding: rem(30);
            margin-bottom: rem(15);
        }

        &__chart {
            width: 100%;
            margin-bottom: 0;
            padding-bottom: 0;
            border-radius: rem(10) rem(10) 0 0;
        }

        &__shop {
            margin-bottom: rem(25);
        }

        &__offers {
            display: block;
            background: $white;
            border-radius: 0 0 rem(10) rem(10);
            padding: 0 rem(30) rem(30) rem(30);

            &--footer {
                padding-top: rem(20);
            }
        }
    }
}

.product-top {
    position: relative;
    background: $white;
    margin-bottom: rem(7);

    &:after,
    &:before {
        top: 0;
        bottom: 0;
        z-index: 1;
        content: '';
        width: rem(1200);
        display: block;
        position: absolute;
        background: $white;
    }

    &:after {
        left: 100%;
    }

    &:before {
        right: 100%;
    }

    &__nav {
        z-index: 10;
        position: relative;
    }

    &__action {
        display: none;
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(15);
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(30);
        display: flex;
        align-items: center;
        justify-content: space-between;

        &__action {
            display: flex;
            align-items: center;
        }
    }
}

.product-nav {
    overflow: visible;
    font-size: rem(13);
    line-height: 140%;

    .swiper-slide {
        width: auto;
        padding-right: rem(25);
    }

    &__counter {
        color: #141414;
        display: inline-block;
        margin-left: rem(9);
    }

    &__text {
        display: inline-block;
    }

    &__link {
        color: #55576B;
        text-decoration: none;
        display: flex;
        align-items: center;
        height: rem(40);
        position: relative;
        white-space: nowrap;

        &:before {
            left: 0;
            right: 0;
            bottom: 0;
            content: '';
            height: rem(2);
            position: absolute;
            background: transparent;
        }

        &:hover {
            color: $blue-dark;
            text-decoration: none;
        }

        &.active {
            color: $blue-dark;

            &:before {
                background: $blue-dark;
            }
        }
    }

    @include media-breakpoint-up(md) {

        .swiper-wrapper {
            justify-content: space-between;
        }

        .swiper-slide {
            padding: 0;
        }

        &__link {
            height: rem(51);

            &.active {
                font-weight: 600;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        .swiper-wrapper {
            width: auto;
            justify-content: flex-start;
        }

        .swiper-slide {
            padding-right: rem(40);
        }
    }
}

.product-media {
    position: relative;

    &:after,
    &:before {
        top: 0;
        bottom: 0;
        z-index: 1;
        content: '';
        width: rem(600);
        display: block;
        position: absolute;
        background: $white;
    }

    &:after {
        left: 100%;
    }

    &:before {
        right: 100%;
    }

    &__thumbs {
        display: none;
    }

    &__pagination {
        font-size: 0;
        line-height: 0;
        z-index: 200;
        left: rem(-2);
        right: rem(-3);
        bottom: rem(12);
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: space-between;

        .swiper-pagination-bullet {
            flex-grow: 1;
            display: block;
            height: rem(3);
            border-radius: rem(3);
            background: #CDCCFF;
            margin: 0 rem(3) 0 rem(2);
        }

        .swiper-pagination-bullet-active {
            background: $blue;
        }
    }

    @include media-breakpoint-up(md) {
        display: flex;
        overflow: hidden;
        border-radius: rem(10);

        &:after,
        &:before {
            display: none;
        }

        &__gallery {
            width: calc(100% - 6.875rem);
            flex-shrink: 0;
        }

        &__slider {
            margin: 0 auto;
            max-width: rem(620);
        }

        &__thumbs {
            display: block;
            width: rem(110);
            flex-shrink: 0;
            border-left: 1px solid $gray-lilac;
        }

        &__thumb {
            height: 20%;
            display: block;
            cursor: pointer;
            object-fit: cover;
            background-position: 50% 50%;
            background-repeat: no-repeat;
            background-size: cover;

            img {
                object-fit: cover;
            }

            &:not(:last-child) {
                border-bottom: 1px solid $gray-lilac;
            }
        }

        &__more {
            font-size: rem(14);
            line-height: rem(20);
            text-decoration: none;
            height: rem(96);
            position: relative;
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
            background: url("../img/content/product/product_more.webp") 50% 50% no-repeat;
            background-size: contain;

            &:before {
                z-index: 1;
                content: '';
                width: 100%;
                height: 100%;
                position: absolute;
                background: rgba(255,255,255,0.9);
            }

            &--wrap {
                z-index: 10;
                position: relative;
                flex-shrink: 0;
            }

            &--count {
                display: block;
                font-size: rem(33);
                line-height: rem(37);
            }

            &__text {
                display: block;
            }
        }

        &__pagination {
            display: none;
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(15);

        &__gallery {
            width: rem(624);
            min-height: rem(555);
        }

        &__thumbs {
            width: rem(126);
        }
    }
}

.product-offer {
    margin-bottom: rem(10);

    &__header {
        padding: rem(20);
        font-size: rem(18);
        line-height: 140%;
        min-height: rem(87);
        display: flex;
        align-items: center;
    }

    &__footer {
        height: rem(60);
        text-align: center;
        border-top: 1px solid $gray-lilac;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__item {
        min-height: rem(100);
        position: relative;
        border-top: 1px solid $gray-lilac;
        padding: rem(15) rem(20) rem(20) rem(81);
    }

    &__media {
        top: rem(17);
        left: rem(18);
        width: rem(42);
        display: block;
        position: absolute;
    }

    &__content {
        margin-bottom: rem(12);
    }

    &__title {
        font-size: rem(14);
        line-height: rem(20);
    }

    &__service {
        margin: rem(10) 0 0 0;
        padding: 0;
        color: $gray;
        font-size: rem(12);
        line-height: rem(17);
        list-style: none;
        display: flex;
        flex-wrap: wrap;
        align-items: center;

        li {
            margin-bottom: 0;

            &:not(:last-child) {

                &:after {
                    content: '|';
                    padding: 0 rem(4);
                }
            }
        }
    }

    &__info {
        display: flex;
        align-items: center;
        margin-bottom: rem(20);
    }

    &__price {
        font-weight: 700;
        font-size: rem(18);
        line-height: rem(25);
        margin-right: rem(9);
    }

    &__shop {
        height: rem(18);
        font-size: 0;
        line-height: 0;
        display: inline-block;
    }

    &__action {

    }

    &__best {
        height: rem(35);
        margin-bottom: rem(10);
        padding: rem(4) rem(15);
        color: $black;
        font-weight: 600;
        white-space: nowrap;
        display: inline-flex;
        align-items: center;
        fill: #E9AF3E;
        border-radius: rem(5);
        background: rgba(255, 253, 216, 1);
        font-size: rem(15);
        line-height: rem(21);

        i {
            font-size: 0;
            line-height: 0;
            height: rem(11);
            display: inline-block;
            margin-right: rem(10);
        }

        span {
            display: inline-block;
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(20);

        &__media {
            top: auto;
            left: auto;
            width: rem(56);
            flex-shrink: 0;
            position: relative;
            margin-right: rem(30);
        }

        &__item {
            display: flex;
            align-items: center;
            padding: rem(18) rem(30) rem(19) rem(27);
        }

        &__content {
            margin: 0;
            padding-right: rem(20);
            flex-grow: 1;
        }

        &__title {
            font-weight: 700;
        }

        &__service {
            margin-top: rem(5);
        }

        &__info {
            margin: 0;
            display: block;
            padding-right: rem(55);
        }

        &__price {
            margin: 0;
        }

        &__shop {
            margin-top: rem(10);
        }

        &__action {
        }

        &__best {
            height: rem(39);
            margin: 0 rem(10) 0 0;
        }

        &__footer {
            height: rem(100);
        }

        &__action {
            flex-shrink: 0;

            .btn {
                width: 100%;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            font-size: rem(22);
            min-height: rem(95);
        }

        &__item {
            padding: rem(18) rem(30) rem(19) rem(36);
        }
    }
}

.chapter {
    margin-bottom: rem(26);

    &__header {
        font-weight: 700;
        font-size: rem(18);
        line-height: 140%;
        margin-bottom: rem(15);
    }

    &__content {

    }

    &__divider {
        margin-bottom: rem(24);
    }

    @include media-breakpoint-up(md) {

        &__header {
            font-size: rem(20);
            margin-bottom: rem(26);
        }

        &__divider {
            padding-top: rem(24);
            background-image: linear-gradient(to right, #6F6F88 10%, rgba(255, 255, 255, 0) 0%);
            background-position: bottom;
            background-size: 6px 1px;
            background-repeat: repeat-x;
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            font-size: rem(22);
            line-height: rem(31);
            margin-bottom: rem(32);
        }
    }
}

.params {

    &__header {
        font-weight: 600;
        font-size: rem(16);
        line-height: 150%;
        margin-bottom: rem(12);
    }

    &__body {
        margin: 0;
        padding: 0;
        list-style: none;
        font-size: rem(14);
        line-height: 150%;
        display: grid;
        grid-row-gap: rem(12);
        grid-template-columns: 1fr;
    }

    &__item {
        margin-bottom: 0;
    }

    &__label {
        color: $gray;
    }

    &__content {
        color: $black;
    }

    @include media-breakpoint-up(md) {

        &__header {
            font-size: rem(18);
            padding-bottom: rem(2);
        }

        &__body {
            grid-row-gap: rem(18);

            &--grid {
                grid-column-gap: rem(60);
                grid-template-columns: 1fr 1fr;
            }
        }
    }
}

.set-item {
    color: $black;
    display: block;
    text-decoration: none;
    font-size: rem(13);
    line-height: 140%;

    &__media {
        display: block;
        padding-left: rem(20);
        margin-bottom: rem(36);
    }

    &__image {
        display: block;
        width: rem(95);
    }

    &__title {
        display: block;
        margin-bottom: rem(9);
    }

    &__price {
        font-weight: 700;
        font-size: rem(18);
    }

    &:hover {
        color: $black;
        text-decoration: none;
    }

    @include media-breakpoint-up(md) {

        &__title {
            font-weight: 600;
        }
    }
}

.shop-offer {
    display: flex;
    align-items: center;
    min-height: rem(45);
    padding: rem(4) 0;
    background-image: linear-gradient(to right, #6F6F88 10%, rgba(255, 255, 255, 0) 0%);
    background-position: bottom;
    background-size: 6px 1px;
    background-repeat: repeat-x;

    &__price {
        color: $dark;
        font-weight: 700;
        font-size: rem(15);
        line-height: 60%;
        white-space: nowrap;
        padding-right: rem(30);
    }

    &__text {
        flex-grow: 1;
        padding-right: rem(16);
    }

    &__name {
        color: $blue;
        font-weight: 600;
        font-size: rem(13);
        line-height: 160%;
        text-decoration: none;
        max-width: rem(120);
        display: inline-block;
        overflow: hidden;
        text-overflow: ellipsis;

        &:hover {
            color: $blue;
            text-decoration: underline;
        }
    }
}

.product-header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    position: fixed;
    background: $white;
    padding-top: rem(24);
    box-shadow: 0px 4px 15px 0px rgba(63, 62, 104, 0.3);
    display: none;
    transform: translateY(rem(-190));
    transition: .3s;

    &--show {
        transform: translateY(rem(0));
        transition: .3s;
    }

    &__main {
        display: flex;
        align-items: center;
        margin-bottom: rem(23);
    }

    &__image {
        width: rem(42);
        display: block;
        margin-right: rem(27);
    }

    &__title {
        font-size: rem(25);
        line-height: rem(35);
        white-space: nowrap;
        max-width: rem(900);
    }

    &__price {
        color: $black;
        font-weight: 700;
        font-size: rem(22);
        line-height: rem(31);
        margin-left: rem(32);
    }

    &__menu {
        display: flex;
        align-items: flex-start;
        justify-content: space-between;
    }

    &__nav {
        margin: 0;
        padding: 0;
        list-style: none;
        white-space: nowrap;
        display: flex;
        align-items: center;
    }

    &__item {
        margin: 0 rem(40) 0 0;
    }

    &__link {
        min-height: rem(48);
        color: #55576B;
        display: block;
        position: relative;
        text-decoration: none;
        padding-bottom: rem(25);

        &:before {
            left: 0;
            right: 0;
            bottom: 0;
            content: '';
            height: rem(2);
            position: absolute;
            background: transparent;
        }

        &:hover {
            color: $blue-dark;
            text-decoration: none;
        }

        &.active {
            color: $blue-dark;

            &:before {
                background: $blue-dark;
            }
        }
    }

    &__action {
        display: flex;
        align-items: center;
    }

    &__button {
        margin-left: rem(10);
    }

    @include media-breakpoint-up(xl) {
        display: block;
    }
}

.product-block {
    background: $white;
    border-radius: rem(10);
    margin-bottom: rem(10);

    @include media-breakpoint-up(md) {
        margin-bottom: rem(15);
    }
}

.apexcharts-svg {
}
.apexcharts-canvas {
}
.apexcharts-tooltip,
.apexcharts-theme-light {
    border: 0 !important;
    width: 100% !important;
    box-shadow: none !important;
    background: rgba(255, 255, 255, 1) !important;
}
.apexcharts-xaxistooltip {
    top: 6px !important;
    left: 0 !important;
    line-height: 14px;
    position: absolute;
    padding: 0px 30px !important;
    text-align: left !important;
    border: 0 !important;
    width: 100% !important;
    box-shadow: none !important;
    background: rgba(255, 255, 255, 1) !important;
    color: rgb(150, 153, 162) !important;
}
.apexcharts-xaxistooltip-bottom:before,
.apexcharts-xaxistooltip-bottom:after,
.apexcharts-yaxistooltip {
    display: none !important;
}

.apexcharts-tooltip.apexcharts-theme-light {
    top: 30px !important;
}

@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
